| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::bridge::Bridge Class Reference
MATLAB Bridge

Type conversion class for converting OpenCV and native C++ types. More...

`#include "bridge.hpp"`

## Public Member Functions
| Bridge ()
| Bridge (const matlab::MxArray &obj)
| Bridge (const mxArray *obj)
virtual | ~Bridge ()
bool | empty () const
template<typename Object >
Object * | getObjectByName (const std::string &name)
| unpack an object from Matlab into C++ More...
| operator bool ()
| operator cv::Mat () const
| operator cv::Moments () const
| operator cv::Point () const
| operator cv::Point2d () const
| operator cv::Point2f () const
| operator cv::Rect ()
| operator cv::RNG ()
| operator cv::RotatedRect ()
| operator cv::Scalar ()
| operator cv::Size () const
| operator cv::TermCriteria ()
| operator double ()
| operator float ()
| operator Ptr_AlignMTB ()
| operator Ptr_CalibrateDebevec ()
| operator Ptr_CalibrateRobertson ()
| operator Ptr_CLAHE ()
| operator Ptr_DenseOpticalFlow ()
| operator Ptr_DualTVL1OpticalFlow ()
| operator Ptr_FeatureDetector ()
| operator Ptr_float ()
| operator Ptr_LineSegmentDetector ()
| operator Ptr_MergeDebevec ()
| operator Ptr_MergeMertens ()
| operator Ptr_MergeRobertson ()
| operator Ptr_StereoBM ()
| operator Ptr_StereoSGBM ()
| operator Ptr_Stitcher ()
| operator Ptr_Tonemap ()
| operator Ptr_TonemapDrago ()
| operator Ptr_TonemapDurand ()
| operator Ptr_TonemapMantiuk ()
| operator Ptr_TonemapReinhard ()
| operator size_t ()
| operator std::string ()
| operator vector_float ()
| operator vector_int ()
| operator vector_KeyPoint ()
| operator vector_Mat ()
| operator vector_Point ()
| operator vector_Rect ()
| operator vector_String ()
| operator vector_uchar ()
| operator vector_vector_char ()
| operator vector_vector_DMatch ()
Bridge & | operator= (const mxArray *obj)
Bridge & | operator= (const matlab::MxArray &obj)
Bridge & | operator= (const cv::Mat &mat)
Bridge & | operator= (const std::string &)
Bridge & | operator= (const bool &)
Bridge & | operator= (const double &)
Bridge & | operator= (const float &)
Bridge & | operator= (const int &)
Bridge & | operator= (const size_t &)
Bridge & | operator= (const cv::Point &)
Bridge & | operator= (const cv::Point2f &)
Bridge & | operator= (const cv::Point2d &)
Bridge & | operator= (const cv::Size &)
Bridge & | operator= (const cv::Moments &)
Bridge & | operator= (const cv::Scalar &)
Bridge & | operator= (const cv::Rect &)
Bridge & | operator= (const cv::RotatedRect &)
Bridge & | operator= (const cv::TermCriteria &)
Bridge & | operator= (const cv::RNG &)
Bridge & | operator= (const vector_Mat &)
Bridge & | operator= (const vector_int &)
Bridge & | operator= (const vector_float &)
Bridge & | operator= (const vector_Rect &)
Bridge & | operator= (const vector_KeyPoint &)
Bridge & | operator= (const vector_String &)
Bridge & | operator= (const vector_Point &)
Bridge & | operator= (const vector_uchar &)
Bridge & | operator= (const vector_vector_char &)
Bridge & | operator= (const vector_vector_DMatch &)
Bridge & | operator= (const Ptr_StereoBM &)
Bridge & | operator= (const Ptr_StereoSGBM &)
Bridge & | operator= (const Ptr_FeatureDetector &)
Bridge & | operator= (const Ptr_CLAHE &)
Bridge & | operator= (const Ptr_LineSegmentDetector &)
Bridge & | operator= (const Ptr_AlignMTB &)
Bridge & | operator= (const Ptr_CalibrateDebevec &)
Bridge & | operator= (const Ptr_CalibrateRobertson &)
Bridge & | operator= (const Ptr_DenseOpticalFlow &)
Bridge & | operator= (const Ptr_DualTVL1OpticalFlow &)
Bridge & | operator= (const Ptr_MergeDebevec &)
Bridge & | operator= (const Ptr_MergeMertens &)
Bridge & | operator= (const Ptr_MergeRobertson &)
Bridge & | operator= (const Ptr_Stitcher &)
Bridge & | operator= (const Ptr_Tonemap &)
Bridge & | operator= (const Ptr_TonemapDrago &)
Bridge & | operator= (const Ptr_TonemapDurand &)
Bridge & | operator= (const Ptr_TonemapMantiuk &)
Bridge & | operator= (const Ptr_TonemapReinhard &)
Bridge & | operator= (const Ptr_float &)
bool | toBool ()
double | toDouble ()
float | toFloat ()
int | toInt ()
cv::Mat | toMat () const
template<typename Scalar >
cv::Mat | toMat () const
cv::Moments | toMoments () const
matlab::MxArray | toMxArray ()
cv::Point | toPoint () const
cv::Point2d | toPoint2d () const
cv::Point2f | toPoint2f () const
Ptr_AlignMTB | toPtrAlignMTB ()
Ptr_CalibrateDebevec | toPtrCalibrateDebevec ()
Ptr_CalibrateRobertson | toPtrCalibrateRobertson ()
Ptr_CLAHE | toPtrCLAHE ()
Ptr_DenseOpticalFlow | toPtrDenseOpticalFlow ()
Ptr_DualTVL1OpticalFlow | toPtrDualTVL1OpticalFlow ()
Ptr_FeatureDetector | toPtrFeatureDetector ()
Ptr_float | toPtrFloat ()
Ptr_LineSegmentDetector | toPtrLineSegmentDetector ()
Ptr_MergeDebevec | toPtrMergeDebevec ()
Ptr_MergeMertens | toPtrMergeMertens ()
Ptr_MergeRobertson | toPtrMergeRobertson ()
Ptr_StereoBM | toPtrStereoBM ()
Ptr_StereoSGBM | toPtrStereoSGBM ()
Ptr_Stitcher | toPtrStitcher ()
Ptr_Tonemap | toPtrTonemap ()
Ptr_TonemapDrago | toPtrTonemapDrago ()
Ptr_TonemapDurand | toPtrTonemapDurand ()
Ptr_TonemapMantiuk | toPtrTonemapMantiuk ()
Ptr_TonemapReinhard | toPtrTonemapReinhard ()
cv::Rect | toRect ()
cv::RNG | toRNG ()
| explicit conversion to cv::RNG() More...
cv::RotatedRect | toRotatedRect ()
cv::Scalar | toScalar ()
cv::Size | toSize () const
size_t | toSizeT ()
std::string | toString ()
cv::TermCriteria | toTermCriteria ()
vector_float | toVectorFloat ()
vector_int | toVectorInt ()
vector_KeyPoint | toVectorKeyPoint ()
vector_Mat | toVectorMat ()
vector_Point | toVectorPoint ()
vector_Rect | toVectorRect ()
vector_String | toVectorString ()
vector_uchar | toVectorUchar ()
vector_vector_char | toVectorVectorChar ()
vector_vector_DMatch | toVectorVectorDMatch ()

## Static Public Member Functions
template<typename Scalar >
static matlab::MxArray | FromMat (const cv::Mat &mat)

## Detailed Description

Type conversion class for converting OpenCV and native C++ types.

Bridge provides an interface for converting between OpenCV/C++ types to Matlab's mxArray format.

Each type conversion requires three operators: // conversion from ObjectType –> Bridge Bridge& operator=(const ObjectType&); // implicit conversion from Bridge –> ObjectType operator ObjectType(); // explicit conversion from Bridge –> ObjectType ObjectType toObjectType();

The bridging class provides common conversions between OpenCV types, std and stl types to Matlab's mxArray format. By inheriting Bridge, you can add your own custom type conversions.

Because Matlab uses a homogeneous storage type, all operations are provided relative to Matlab's type. That is, Bridge always stores an matlab::MxArray object and converts to and from other object types on demand.

NOTE: for the explicit conversion function, the object name must be in UpperCamelCase, for example: int –> toInt my_object –> MyObject my_Object –> MyObject myObject –> MyObject this is because the binding generator standardises the calling syntax.

Bridge attempts to make as few assumptions as possible, however in some cases where 1-to-1 mappings don't exist, some assumptions are necessary. In particular:

- conversion from of a 2-channel Mat to an mxArray will result in a complex output
- conversion from multi-channel interleaved Mats will result in multichannel planar mxArrays

## Constructor & Destructor Documentation

## § Bridge() [1/3]

cv::bridge::Bridge::Bridge | ( |  | ) |
| inline

## § ~Bridge()

virtual cv::bridge::Bridge::~Bridge | ( |  | ) |
| inline virtual

## § Bridge() [2/3]

cv::bridge::Bridge::Bridge | ( | const matlab::MxArray & | obj | ) |
| inline

## § Bridge() [3/3]

cv::bridge::Bridge::Bridge | ( | const mxArray * | obj | ) |
| inline

## Member Function Documentation

## § empty()

bool cv::bridge::Bridge::empty | ( |  | ) | const
| inline

## § FromMat()

template<typename Scalar >

static matlab::MxArray cv::bridge::Bridge::FromMat | ( | const cv::Mat & | mat | ) |
| inline static

## § getObjectByName()

template<typename Object >

Object* cv::bridge::Bridge::getObjectByName | ( | const std::string & | name | ) |
| inline

unpack an object from Matlab into C++

this function checks whether the given bridge is derived from an object in Matlab. If so, it converts it to a (platform dependent) pointer to the underlying C++ object.

NOTE! This function assumes that the C++ pointer is stored in inst_

## § operator bool()

cv::bridge::Bridge::operator bool | ( |  | ) |
| inline

## § operator cv::Mat()

cv::bridge::Bridge::operator cv::Mat | ( |  | ) | const
| inline

## § operator cv::Moments()

cv::bridge::Bridge::operator cv::Moments | ( |  | ) | const
| inline

## § operator cv::Point()

cv::bridge::Bridge::operator cv::Point | ( |  | ) | const
| inline

## § operator cv::Point2d()

cv::bridge::Bridge::operator cv::Point2d | ( |  | ) | const
| inline

## § operator cv::Point2f()

cv::bridge::Bridge::operator cv::Point2f | ( |  | ) | const
| inline

## § operator cv::Rect()

cv::bridge::Bridge::operator cv::Rect | ( |  | ) |
| inline

## § operator cv::RNG()

cv::bridge::Bridge::operator cv::RNG | ( |  | ) |
| inline

## § operator cv::RotatedRect()

cv::bridge::Bridge::operator cv::RotatedRect | ( |  | ) |
| inline

## § operator cv::Scalar()

cv::bridge::Bridge::operator cv::Scalar | ( |  | ) |
| inline

## § operator cv::Size()

cv::bridge::Bridge::operator cv::Size | ( |  | ) | const
| inline

## § operator cv::TermCriteria()

cv::bridge::Bridge::operator cv::TermCriteria | ( |  | ) |
| inline

## § operator double()

cv::bridge::Bridge::operator double | ( |  | ) |
| inline

## § operator float()

cv::bridge::Bridge::operator float | ( |  | ) |
| inline

## § operator Ptr_AlignMTB()

cv::bridge::Bridge::operator Ptr_AlignMTB | ( |  | ) |
| inline

## § operator Ptr_CalibrateDebevec()

cv::bridge::Bridge::operator Ptr_CalibrateDebevec | ( |  | ) |
| inline

## § operator Ptr_CalibrateRobertson()

cv::bridge::Bridge::operator Ptr_CalibrateRobertson | ( |  | ) |
| inline

## § operator Ptr_CLAHE()

cv::bridge::Bridge::operator Ptr_CLAHE | ( |  | ) |
| inline

## § operator Ptr_DenseOpticalFlow()

cv::bridge::Bridge::operator Ptr_DenseOpticalFlow | ( |  | ) |
| inline

## § operator Ptr_DualTVL1OpticalFlow()

cv::bridge::Bridge::operator Ptr_DualTVL1OpticalFlow | ( |  | ) |
| inline

## § operator Ptr_FeatureDetector()

cv::bridge::Bridge::operator Ptr_FeatureDetector | ( |  | ) |
| inline

## § operator Ptr_float()

cv::bridge::Bridge::operator Ptr_float | ( |  | ) |
| inline

## § operator Ptr_LineSegmentDetector()

cv::bridge::Bridge::operator Ptr_LineSegmentDetector | ( |  | ) |
| inline

## § operator Ptr_MergeDebevec()

cv::bridge::Bridge::operator Ptr_MergeDebevec | ( |  | ) |
| inline

## § operator Ptr_MergeMertens()

cv::bridge::Bridge::operator Ptr_MergeMertens | ( |  | ) |
| inline

## § operator Ptr_MergeRobertson()

cv::bridge::Bridge::operator Ptr_MergeRobertson | ( |  | ) |
| inline

## § operator Ptr_StereoBM()

cv::bridge::Bridge::operator Ptr_StereoBM | ( |  | ) |
| inline

## § operator Ptr_StereoSGBM()

cv::bridge::Bridge::operator Ptr_StereoSGBM | ( |  | ) |
| inline

## § operator Ptr_Stitcher()

cv::bridge::Bridge::operator Ptr_Stitcher | ( |  | ) |
| inline

## § operator Ptr_Tonemap()

cv::bridge::Bridge::operator Ptr_Tonemap | ( |  | ) |
| inline

## § operator Ptr_TonemapDrago()

cv::bridge::Bridge::operator Ptr_TonemapDrago | ( |  | ) |
| inline

## § operator Ptr_TonemapDurand()

cv::bridge::Bridge::operator Ptr_TonemapDurand | ( |  | ) |
| inline

## § operator Ptr_TonemapMantiuk()

cv::bridge::Bridge::operator Ptr_TonemapMantiuk | ( |  | ) |
| inline

## § operator Ptr_TonemapReinhard()

cv::bridge::Bridge::operator Ptr_TonemapReinhard | ( |  | ) |
| inline

## § operator size_t()

cv::bridge::Bridge::operator size_t | ( |  | ) |
| inline

## § operator std::string()

cv::bridge::Bridge::operator std::string | ( |  | ) |
| inline

## § operator vector_float()

cv::bridge::Bridge::operator vector_float | ( |  | ) |
| inline

## § operator vector_int()

cv::bridge::Bridge::operator vector_int | ( |  | ) |
| inline

## § operator vector_KeyPoint()

cv::bridge::Bridge::operator vector_KeyPoint | ( |  | ) |
| inline

## § operator vector_Mat()

cv::bridge::Bridge::operator vector_Mat | ( |  | ) |
| inline

## § operator vector_Point()

cv::bridge::Bridge::operator vector_Point | ( |  | ) |
| inline

## § operator vector_Rect()

cv::bridge::Bridge::operator vector_Rect | ( |  | ) |
| inline

## § operator vector_String()

cv::bridge::Bridge::operator vector_String | ( |  | ) |
| inline

## § operator vector_uchar()

cv::bridge::Bridge::operator vector_uchar | ( |  | ) |
| inline

## § operator vector_vector_char()

cv::bridge::Bridge::operator vector_vector_char | ( |  | ) |
| inline

## § operator vector_vector_DMatch()

cv::bridge::Bridge::operator vector_vector_DMatch | ( |  | ) |
| inline

## § operator=() [1/48]

Bridge& cv::bridge::Bridge::operator= | ( | const mxArray * | obj | ) |
| inline

## § operator=() [2/48]

Bridge& cv::bridge::Bridge::operator= | ( | const matlab::MxArray & | obj | ) |
| inline

## § operator=() [3/48]

Bridge& cv::bridge::Bridge::operator= | ( | const std::string & |  | ) |
| inline

## § operator=() [4/48]

Bridge& cv::bridge::Bridge::operator= | ( | const bool & |  | ) |
| inline

## § operator=() [5/48]

Bridge& cv::bridge::Bridge::operator= | ( | const double & |  | ) |
| inline

## § operator=() [6/48]

Bridge& cv::bridge::Bridge::operator= | ( | const float & |  | ) |
| inline

## § operator=() [7/48]

Bridge& cv::bridge::Bridge::operator= | ( | const int & |  | ) |
| inline

## § operator=() [8/48]

Bridge& cv::bridge::Bridge::operator= | ( | const size_t & |  | ) |
| inline

## § operator=() [9/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::Point & |  | ) |
| inline

## § operator=() [10/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::Point2f & |  | ) |
| inline

## § operator=() [11/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::Point2d & |  | ) |
| inline

## § operator=() [12/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::Size & |  | ) |
| inline

## § operator=() [13/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::Moments & |  | ) |
| inline

## § operator=() [14/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::Scalar & |  | ) |
| inline

## § operator=() [15/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::Rect & |  | ) |
| inline

## § operator=() [16/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::RotatedRect & |  | ) |
| inline

## § operator=() [17/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::TermCriteria & |  | ) |
| inline

## § operator=() [18/48]

Bridge& cv::bridge::Bridge::operator= | ( | const cv::RNG & |  | ) |
| inline

## § operator=() [19/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_Mat & |  | ) |
| inline

## § operator=() [20/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_int & |  | ) |
| inline

## § operator=() [21/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_float & |  | ) |
| inline

## § operator=() [22/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_Rect & |  | ) |
| inline

## § operator=() [23/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_KeyPoint & |  | ) |
| inline

## § operator=() [24/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_String & |  | ) |
| inline

## § operator=() [25/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_Point & |  | ) |
| inline

## § operator=() [26/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_uchar & |  | ) |
| inline

## § operator=() [27/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_vector_char & |  | ) |
| inline

## § operator=() [28/48]

Bridge& cv::bridge::Bridge::operator= | ( | const vector_vector_DMatch & |  | ) |
| inline

## § operator=() [29/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_StereoBM & |  | ) |
| inline

## § operator=() [30/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_StereoSGBM & |  | ) |
| inline

## § operator=() [31/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_FeatureDetector & |  | ) |
| inline

## § operator=() [32/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_CLAHE & |  | ) |
| inline

## § operator=() [33/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_LineSegmentDetector & |  | ) |
| inline

## § operator=() [34/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_AlignMTB & |  | ) |
| inline

## § operator=() [35/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_CalibrateDebevec & |  | ) |
| inline

## § operator=() [36/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_CalibrateRobertson & |  | ) |
| inline

## § operator=() [37/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_DenseOpticalFlow & |  | ) |
| inline

## § operator=() [38/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_DualTVL1OpticalFlow & |  | ) |
| inline

## § operator=() [39/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_MergeDebevec & |  | ) |
| inline

## § operator=() [40/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_MergeMertens & |  | ) |
| inline

## § operator=() [41/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_MergeRobertson & |  | ) |
| inline

## § operator=() [42/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_Stitcher & |  | ) |
| inline

## § operator=() [43/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_Tonemap & |  | ) |
| inline

## § operator=() [44/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_TonemapDrago & |  | ) |
| inline

## § operator=() [45/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_TonemapDurand & |  | ) |
| inline

## § operator=() [46/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_TonemapMantiuk & |  | ) |
| inline

## § operator=() [47/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_TonemapReinhard & |  | ) |
| inline

## § operator=() [48/48]

Bridge& cv::bridge::Bridge::operator= | ( | const Ptr_float & |  | ) |
| inline

## § toBool()

bool cv::bridge::Bridge::toBool | ( |  | ) |
| inline

## § toDouble()

double cv::bridge::Bridge::toDouble | ( |  | ) |
| inline

## § toFloat()

float cv::bridge::Bridge::toFloat | ( |  | ) |
| inline

## § toInt()

int cv::bridge::Bridge::toInt | ( |  | ) |
| inline

## § toMat()

template<typename Scalar >

cv::Mat cv::bridge::Bridge::toMat | ( |  | ) | const
| inline

## § toMoments()

cv::Moments cv::bridge::Bridge::toMoments | ( |  | ) | const
| inline

## § toMxArray()

matlab::MxArray cv::bridge::Bridge::toMxArray | ( |  | ) |
| inline

## § toPoint()

cv::Point cv::bridge::Bridge::toPoint | ( |  | ) | const
| inline

## § toPoint2d()

cv::Point2d cv::bridge::Bridge::toPoint2d | ( |  | ) | const
| inline

## § toPoint2f()

cv::Point2f cv::bridge::Bridge::toPoint2f | ( |  | ) | const
| inline

## § toPtrAlignMTB()

Ptr_AlignMTB cv::bridge::Bridge::toPtrAlignMTB | ( |  | ) |
| inline

## § toPtrCalibrateDebevec()

Ptr_CalibrateDebevec cv::bridge::Bridge::toPtrCalibrateDebevec | ( |  | ) |
| inline

## § toPtrCalibrateRobertson()

Ptr_CalibrateRobertson cv::bridge::Bridge::toPtrCalibrateRobertson | ( |  | ) |
| inline

## § toPtrCLAHE()

Ptr_CLAHE cv::bridge::Bridge::toPtrCLAHE | ( |  | ) |
| inline

## § toPtrDenseOpticalFlow()

Ptr_DenseOpticalFlow cv::bridge::Bridge::toPtrDenseOpticalFlow | ( |  | ) |
| inline

## § toPtrDualTVL1OpticalFlow()

Ptr_DualTVL1OpticalFlow cv::bridge::Bridge::toPtrDualTVL1OpticalFlow | ( |  | ) |
| inline

## § toPtrFeatureDetector()

Ptr_FeatureDetector cv::bridge::Bridge::toPtrFeatureDetector | ( |  | ) |
| inline

## § toPtrFloat()

Ptr_float cv::bridge::Bridge::toPtrFloat | ( |  | ) |
| inline

## § toPtrLineSegmentDetector()

Ptr_LineSegmentDetector cv::bridge::Bridge::toPtrLineSegmentDetector | ( |  | ) |
| inline

## § toPtrMergeDebevec()

Ptr_MergeDebevec cv::bridge::Bridge::toPtrMergeDebevec | ( |  | ) |
| inline

## § toPtrMergeMertens()

Ptr_MergeMertens cv::bridge::Bridge::toPtrMergeMertens | ( |  | ) |
| inline

## § toPtrMergeRobertson()

Ptr_MergeRobertson cv::bridge::Bridge::toPtrMergeRobertson | ( |  | ) |
| inline

## § toPtrStereoBM()

Ptr_StereoBM cv::bridge::Bridge::toPtrStereoBM | ( |  | ) |
| inline

## § toPtrStereoSGBM()

Ptr_StereoSGBM cv::bridge::Bridge::toPtrStereoSGBM | ( |  | ) |
| inline

## § toPtrStitcher()

Ptr_Stitcher cv::bridge::Bridge::toPtrStitcher | ( |  | ) |
| inline

## § toPtrTonemap()

Ptr_Tonemap cv::bridge::Bridge::toPtrTonemap | ( |  | ) |
| inline

## § toPtrTonemapDrago()

Ptr_TonemapDrago cv::bridge::Bridge::toPtrTonemapDrago | ( |  | ) |
| inline

## § toPtrTonemapDurand()

Ptr_TonemapDurand cv::bridge::Bridge::toPtrTonemapDurand | ( |  | ) |
| inline

## § toPtrTonemapMantiuk()

Ptr_TonemapMantiuk cv::bridge::Bridge::toPtrTonemapMantiuk | ( |  | ) |
| inline

## § toPtrTonemapReinhard()

Ptr_TonemapReinhard cv::bridge::Bridge::toPtrTonemapReinhard | ( |  | ) |
| inline

## § toRect()

cv::Rect cv::bridge::Bridge::toRect | ( |  | ) |
| inline

## § toRNG()

cv::RNG cv::bridge::Bridge::toRNG | ( |  | ) |
| inline

explicit conversion to cv::RNG()

Converts a bridge object to a cv::RNG(). We explicitly assert that the object is an RNG in matlab space before attempting to deference its pointer

## § toRotatedRect()

cv::RotatedRect cv::bridge::Bridge::toRotatedRect | ( |  | ) |
| inline

## § toScalar()

cv::Scalar cv::bridge::Bridge::toScalar | ( |  | ) |
| inline

## § toSize()

cv::Size cv::bridge::Bridge::toSize | ( |  | ) | const
| inline

## § toSizeT()

size_t cv::bridge::Bridge::toSizeT | ( |  | ) |
| inline

## § toString()

std::string cv::bridge::Bridge::toString | ( |  | ) |
| inline

## § toTermCriteria()

cv::TermCriteria cv::bridge::Bridge::toTermCriteria | ( |  | ) |
| inline

## § toVectorFloat()

vector_float cv::bridge::Bridge::toVectorFloat | ( |  | ) |
| inline

## § toVectorInt()

vector_int cv::bridge::Bridge::toVectorInt | ( |  | ) |
| inline

## § toVectorKeyPoint()

vector_KeyPoint cv::bridge::Bridge::toVectorKeyPoint | ( |  | ) |
| inline

## § toVectorMat()

vector_Mat cv::bridge::Bridge::toVectorMat | ( |  | ) |
| inline

## § toVectorPoint()

vector_Point cv::bridge::Bridge::toVectorPoint | ( |  | ) |
| inline

## § toVectorRect()

vector_Rect cv::bridge::Bridge::toVectorRect | ( |  | ) |
| inline

## § toVectorString()

vector_String cv::bridge::Bridge::toVectorString | ( |  | ) |
| inline

## § toVectorUchar()

vector_uchar cv::bridge::Bridge::toVectorUchar | ( |  | ) |
| inline

## § toVectorVectorChar()

vector_vector_char cv::bridge::Bridge::toVectorVectorChar | ( |  | ) |
| inline

## § toVectorVectorDMatch()

vector_vector_DMatch cv::bridge::Bridge::toVectorVectorDMatch | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/matlab/include/opencv2/matlab/bridge.hpp